#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

int main()
{
    int a,b,c;
    string x,y,z,j,k,l,maks;
    cin>>a>>b>>c;
    string s = to_string(a);
    string p = to_string(b);
    string q = to_string(c);
    x=s+p+q;
    y=s+q+p;
    z=p+q+s;
    j=p+s+q;
    k=q+p+s;
    l=q+s+p;
    maks=max({x,y,z,j,k,l});
    cout<<maks;
    return 0;
}